*-- FUNCTION CurrSPR
*
* This routine finds the current READ and returns
*   the .SPR file to run.  If there is no READ window
*   it returns a blank.
*
FUNCTION CurrSPR
PRIVATE m.lcProgram, m.lcWindow, m.lcExtWind
m.lcProgram = ""
m.lcExtWind = ""
m.lcWindow = UPPER(WCHILD("",0))
DO WHILE !EMPTY(m.lcWindow)
  IF UPPER(LEFT(m.lcWindow,2)) $ "WR/WT"
    m.lcProgram = TRIM(SUBSTR(m.lcWindow,3,8))
    IF RIGHT(m.lcProgram,1) $ "1,2,3,4,5,6,7,8,9,0"
  	  lcProgram = LEFT(lcProgram,LEN(lcProgram)-1)
	ENDIF
	m.lcProgram = m.lcProgram+".SPR"
  ENDIF
  IF UPPER(LEFT(m.lcWindow,2)) = "WX"
    m.lcExtWind = m.lcWindow
    m.lcWindow = UPPER(WCHILD(m.lcExtWind,0))
    DO WHILE !EMPTY(m.lcWindow)
      IF UPPER(LEFT(m.lcWindow,2)) $ "WR/WT"
        m.lcProgram = TRIM(SUBSTR(m.lcWindow,3,8))
        IF RIGHT(m.lcProgram,1) $ "1,2,3,4,5,6,7,8,9,0"
    	  lcProgram = LEFT(lcProgram,LEN(lcProgram)-1)
	    ENDIF
    	m.lcProgram = m.lcProgram+".SPR"
      ENDIF
      m.lcWindow = WCHILD(lcExtWind,1)
    ENDDO
  ENDIF
  m.lcWindow = WCHILD("",1)
ENDDO
RETURN m.lcProgram


*-- FUNCTION CurrWR
*
* This routine finds the current READ and returns
*   the window name.  If there is no READ window
*   it returns a blank.
*
FUNCTION CurrWR
PRIVATE m.lcWindow, m.lcReadWind, m.lcExtWind
m.lcWindow = UPPER(WCHILD("",0))
DO WHILE !EMPTY(m.lcWindow)
  IF UPPER(LEFT(m.lcWindow,2)) = "WR"
    m.lcReadWind = m.lcWindow
*    IF RIGHT(m.lcReadWind,1) $ "1,2,3,4,5,6,7,8,9,0"
*      m.lcReadWind = LEFT(m.lcReadWind,LEN(m.lcReadWind)-1)
*    ENDIF
  ENDIF
  IF UPPER(LEFT(m.lcWindow,2)) = "WX"
    m.lcExtWind = m.lcWindow
    m.lcWindow = UPPER(WCHILD(m.lcExtWind,0))
    DO WHILE !EMPTY(m.lcWindow)
      IF UPPER(LEFT(m.lcWindow,2)) = "WR"
        m.lcReadWind = m.lcWindow
      ENDIF
      m.lcWindow = WCHILD(lcExtWind,1)
    ENDDO
  ENDIF
  m.lcWindow = WCHILD("",1)
ENDDO
RETURN m.lcReadWind

